# rudr-install

This bundle installs the CRDs necessary to install rudr, waits for the CRDs to rebuild the cache, and then installs rudr itself using the helm chart. 

To use, the easiest way will be to install https://porter.sh, and then:

1. Navigate and checkout this directory.
2. `porter build`
3. `porter creds generate` and select `file path` and enter the path to your .kube/config.
4. `porter install rudr-install -c rudr-install`
5. profit.

# Contents

## porter.yaml

This is the porter manifest. See https://porter.sh/authoring-bundles/ for 
details on every field and how to configure your bundle. This is a required
file.

## README.md

This explains the files created by `porter create`. It is not used by porter and
can be deleted.

## Dockerfile.tmpl

This is a template Dockerfile for the bundle's invocation image. You can
customize it to use different base images, install tools and copy configuration
files. Porter will use it as a template and append lines to it for the mixin and to set
the CMD appropriately for the CNAB specification. You can delete this file if you don't
need it.

Add the following line to **porter.yaml** to enable the Dockerfile template:

```yaml
dockerfile: Dockerfile.tmpl
```

By default, the Dockerfile template is disabled and Porter automatically copies
all of the files in the current directory into the bundle's invocation image. When
you use a custom Dockerfile template, you must manually copy files into the bundle
using COPY statements in the Dockerfile template.

## .gitignore

This is a default file that we provide to help remind you which files are
generated by Porter, and shouldn't be committed to source control. You can
delete it if you don't need it.

## .dockerignore

This is a default file that controls which files are copied into the bundle's
invocation image by default. You can delete it if you don't need it.