# Rudr documentation

## [Install Rudr](./setup/install.md)
Install the Rudr runtime and its dependencies.

## [Tutorial](./tutorials/deploy_and_update.md)
Deploy, inspect, and update a Rudr application and its individual components.

## Concepts

### [Using Rudr](./concepts/using_rudr.md)
Learn the basics of using Rudr.

### [Application Configuration](./concepts/application-configuration.md)
As an *application operator*, define how your overall application will be instantiated and configured.

#### [Traits](./concepts/traits.md)
As an *application operator*, attach operational features to component workloads of your application.

### [Component Schematic](./concepts/component-schematic.md)
As a *developer*, define the operational characteristics of your component of code.

#### [Workloads](./concepts/workloads.md)
As a *developer*, designate the appropriate workload type to execute your component on the Rudr runtime.

## How-To's

#### [Create Component from Scratch](how-to/create_component_from_scratch.md)
Build a component from source code to use for testing.

#### [Migrate existing Kubernetes resources](./how-to/migrating.md)
Tips and best practices for setting up existing Kubernetes applications to use Rudr.

## [FAQ](./faq.md)
Find answers to commonly asked questions about Rudr and the Open Application Model (OAM).